<?php

namespace XLite\Module\EdB\LibrairieC\Model;
use XLite\Core\Database;
/**
 * @Entity
 * @Table (name="authorxs")
 */

class Authorx extends \XLite\Model\AEntity
{
    /**
     * @Id
     * @GeneratedValue (strategy="AUTO")
     * @Column         (type="integer")
     */
    protected $authorx_id;

    /**
     * Enabled status
     *
     * @var boolean
     *
     * @Column (type="boolean")
     */
    protected $enabled = true;


    /**
     * @Column (type="text")
     */
    protected $name;

    /**
     * One-to-one relation with category_images table
     *
     * @var \XLite\Module\EdB\LibrairieC\Model\Image\Authorx\Image
     *
     * @OneToOne  (targetEntity="XLite\Module\EdB\LibrairieC\Model\Image\Authorx\Image", mappedBy="authorx", cascade={"all"})
     */
    protected $image;

    /**
     * Returns authorx_id
     *
     * @return string
     */
    public function getAuthorxId()
    {
        return $this->authorx_id;
    }

    /**
     * Set name
     *
     * @param string $value Value
     *
     * @return void
     */
    public function setName($value)
    {
        $this->name = $value;
    }

    /**
     * Returns name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Get enabled
     *
     * @return boolean 
     */
    public function getEnabled()
    {
        return $this->enabled;
    }
    /**
     * Set enabled
     *
     * @param boolean $enabled
     * @return Authorx
     */
    public function setEnabled($enabled)
    {
        $this->enabled = (boolean)$enabled;
        return $this;
    }

}

