<?php
namespace XLite\Module\EdB\LibrairieC\Model\Image\Authorx;

/**
 * Authorx
 *
 * @Entity
 * @Table  (name="authorx_images")
 */
class Image extends \XLite\Model\Base\Image
{
    /**
     * Relation to a authorx entity
     *
     * @var \XLite\Module\EdB\LibrairieC\Model\Authorx
     *
     * @OneToOne   (targetEntity="XLite\Module\EdB\LibrairieC\Model\Authorx", inversedBy="image")
     * @JoinColumn (name="authorx_id", referencedColumnName="authorx_id", onDelete="CASCADE")
     */
    protected $authorx;

    /**
     * Alternative image text
     *
     * @var string
     *
     * @Column (type="string", length=255)
     */
    protected $alt = '';

    /**
     * Set alt
     *
     * @param string $alt
     * @return Image
     */
    public function setAlt($alt)
    {
        $this->alt = $alt;
        return $this;
    }

    /**
     * Get alt
     *
     * @return string 
     */
    public function getAlt()
    {
        return $this->alt;
    }

    /**
     * Set authorx
     *
     * @param \XLite\Module\EdB\LibrairieC\Model\Authorx $authorx
     * @return Image
     */
    public function setAuthorx(\XLite\Module\EdB\LibrairieC\Model\Authorx $authorx = null)
    {
        $this->authorx = $authorx;
        return $this;
    }

    /**
     * Get authorx
     *
     * @return \XLite\Module\EdB\LibrairieC\Model\Authorx 
     */
    public function getAuthorx()
    {
        return $this->authorx;
    }
}
